import 'package:flutter/material.dart';
import 'package:fluttersax/fluttersax.dart';

class FsButton extends StatefulWidget {
  Widget child;
  final Color? color;
  FsButton({required this.child, this.color}) : super();

  @override
  _FsButtonState createState() => _FsButtonState();
}

class _FsButtonState extends State<FsButton> {
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 20.0, vertical: 14.0),
      decoration: BoxDecoration(
          color: widget.color != null ? widget.color : FsColor(context).primary,
          borderRadius: BorderRadius.all(
            Radius.circular(10.0),
          )),
      child: widget.child,
    );
  }
}
